Page MenuHomePhabricator

Create elasticsearch service
Closed, ResolvedPublic

Description

Basic ElasticSearch and configuration with CirrusSearch seems like it should be pretty straightforward (some notes are here), more complicated would be to include the wmf maintained plugins for ElasticSearch which require adding an apt repository and an apt-get install.

Event Timeline

kostajh created this task.Sep 3 2019, 12:28 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 3 2019, 12:28 PM

Change 576327 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[releng/dev-images@master] (wip) Add ElasticSearch dev image

https://gerrit.wikimedia.org/r/576327

kostajh moved this task from Backlog to In progress on the User-kostajh board.Mar 5 2020, 1:35 PM
kostajh moved this task from Backlog to In Progress on the MediaWiki-Docker board.Mar 29 2020, 7:08 PM

Change 576327 merged by Brennen Bearnes:
[releng/dev-images@master] Add ElasticSearch dev image

https://gerrit.wikimedia.org/r/576327

Mentioned in SAL (#wikimedia-releng) [2020-04-17T15:49:12Z] <brennen> Updating dev-images docker-pkg files on contint2001 for T231864

brennen closed this task as Resolved.Apr 17 2020, 3:58 PM
brennen assigned this task to kostajh.
brennen triaged this task as Medium priority.